Page MenuHomePhabricator

Move RdfWriter to separate component
Closed, ResolvedPublic

Description

RdfWriter and friends should have their own component inside the Wikibase repo. Pathes/Namespaces should follow PSR-4.

Context: Eventually, we want to move RdfWriter to a separate repo, make it reusabel by others, and pull it in via composer.

Details

Related Gerrit Patches:

Event Timeline

daniel created this task.Mar 27 2015, 2:40 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2015, 2:40 PM

Change 200183 had a related patch set uploaded (by Daniel Kinzler):
Moving RdfWriter and friends to a separate component called Purtle.

https://gerrit.wikimedia.org/r/200183

Change 200187 had a related patch set uploaded (by JanZerebecki):
Wikidata: add phpunit group Purtle

https://gerrit.wikimedia.org/r/200187

Change 200187 merged by jenkins-bot:
Wikidata: add phpunit group Purtle

https://gerrit.wikimedia.org/r/200187

Lydia_Pintscher triaged this task as Normal priority.Mar 30 2015, 9:58 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Change 200183 merged by jenkins-bot:
Moving RdfWriter and friends to a separate component called Purtle.

https://gerrit.wikimedia.org/r/200183

Smalyshev closed this task as Resolved.Mar 31 2015, 9:39 PM